From cedfac634756fac5601ebae154124a88cd0706b7 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Fri, 14 Apr 2017 10:54:20 -0700
Subject: [PATCH 02/22] Memory Map expansion amendment

Move defconfig audio's configuration items to 'do not set'.
Add the support for audio SOC back in kconfig.

Change-Id: I8f10fe93771e0f0b1b2a8b5a06201c11d8d3ed6a
---
 arch/arm/configs/mdm-perf_defconfig |  6 ++++++
 arch/arm/configs/mdm_defconfig      |  6 ++++++
 sound/soc/msm/Kconfig               | 19 +++++++++++++++++++
 3 files changed, 31 insertions(+)

diff --git a/arch/arm/configs/mdm-perf_defconfig b/arch/arm/configs/mdm-perf_defconfig
index 0624f4e..679264c 100644
--- a/arch/arm/configs/mdm-perf_defconfig
+++ b/arch/arm/configs/mdm-perf_defconfig
@@ -251,11 +251,16 @@ CONFIG_SENSORS_QPNP_ADC_VOLTAGE=y
 CONFIG_THERMAL=y
 CONFIG_THERMAL_TSENS8974=y
 CONFIG_THERMAL_QPNP_ADC_TM=y
+# CONFIG_WCD9335_CODEC is not set
 CONFIG_REGULATOR_FIXED_VOLTAGE=y
 CONFIG_REGULATOR_STUB=y
 CONFIG_REGULATOR_MEM_ACC=y
 CONFIG_REGULATOR_SPM=y
 CONFIG_REGULATOR_CPR=y
+# CONFIG_SOUND is not set
+# CONFIG_SND is not set
+# CONFIG_SND_SOC is not set
+# CONFIG_SND_SOC_MDMCALIFORNIUM is not set
 CONFIG_UHID=y
 CONFIG_HID_APPLE=y
 CONFIG_HID_ELECOM=y
@@ -328,6 +333,7 @@ CONFIG_RMNET_IPA3=y
 CONFIG_MSM_SPMI=y
 CONFIG_MSM_SPMI_PMIC_ARB=y
 CONFIG_MSM_QPNP_INT=y
+# CONFIG_MSM_ADSP_LOADER is not set
 CONFIG_MSM_MEMORY_DUMP_V2=y
 CONFIG_MSM_BOOT_STATS=y
 CONFIG_MSM_COMMON_LOG=y
diff --git a/arch/arm/configs/mdm_defconfig b/arch/arm/configs/mdm_defconfig
index 850edee..cf55c8d 100644
--- a/arch/arm/configs/mdm_defconfig
+++ b/arch/arm/configs/mdm_defconfig
@@ -254,6 +254,7 @@ CONFIG_THERMAL=y
 CONFIG_THERMAL_TSENS8974=y
 CONFIG_THERMAL_MONITOR=y
 CONFIG_THERMAL_QPNP_ADC_TM=y
+# CONFIG_WCD9335_CODEC is not set
 CONFIG_REGULATOR_FIXED_VOLTAGE=y
 CONFIG_REGULATOR_STUB=y
 CONFIG_REGULATOR_MEM_ACC=y
@@ -263,6 +264,10 @@ CONFIG_FB=y
 CONFIG_FB_MSM=y
 CONFIG_FB_MSM_MDP_NONE=y
 CONFIG_FB_MSM_QPIC_PANEL_DETECT=y
+# CONFIG_SOUND is not set
+# CONFIG_SND is not set
+# CONFIG_SND_SOC is not set
+# CONFIG_SND_SOC_MDMCALIFORNIUM is not set
 CONFIG_UHID=y
 CONFIG_HID_APPLE=y
 CONFIG_HID_ELECOM=y
@@ -341,6 +346,7 @@ CONFIG_IPA_UT=y
 CONFIG_MSM_SPMI=y
 CONFIG_MSM_SPMI_PMIC_ARB=y
 CONFIG_MSM_QPNP_INT=y
+# CONFIG_MSM_ADSP_LOADER is not set
 CONFIG_MSM_MEMORY_DUMP_V2=y
 CONFIG_MSM_BOOT_STATS=y
 CONFIG_MSM_COMMON_LOG=y
diff --git a/sound/soc/msm/Kconfig b/sound/soc/msm/Kconfig
index 6ca524a..5b1badf 100644
--- a/sound/soc/msm/Kconfig
+++ b/sound/soc/msm/Kconfig
@@ -193,6 +193,25 @@ config SND_SOC_MSM8X16
 	 the machine driver and the corresponding
 	 DAI-links
 
+config SND_SOC_MDMCALIFORNIUM
+        tristate "SoC Machine driver for MDMCALIFORNIUM boards"
+        depends on ARCH_MDMCALIFORNIUM
+        select SND_SOC_QDSP6V2
+        select SND_SOC_MSM_STUB
+        select SND_SOC_MSM_HOSTLESS_PCM
+        select SND_DYNAMIC_MINORS
+        select MSM_QDSP6_APRV3_GLINK
+        select MSM_QDSP6V2_CODECS
+        select SND_SOC_WCD9335
+        select SND_SOC_WSA881X
+        select SND_HWDEP
+        help
+         To add support for SoC audio on MDMCALIFORNIUM.
+         This will enable sound soc drivers which
+         interfaces with DSP, also it will enable
+         the machine driver and the corresponding
+         DAI-links
+
 config SND_SOC_MDM9607
 	tristate "SoC Machine driver for MDM9607 boards"
 	depends on ARCH_MDM9607
-- 
1.8.2.1

